<?php
/*
$Id: import.php 727 2023-11-16 20:40:20Z bhockney $
(C) 2003-2023 by Bob Hockney <zeus@ix.netcom.com>

import of report definitions

This code is distributed under the terms of GNU GPL
*/
?>

<?php
if (strtolower($FWLOG["action"]) == "import" and $FWLOG["page"] == "import") {
	// import function
	if (
		!$_FILES['import_report']['error'] and
		 preg_match("/text/i", exec("file {$_FILES['import_report']['tmp_name']}")) and
		 $_FILES['import_report']['size'] < 4096 and
		 is_uploaded_file($_FILES['import_report']['tmp_name']) 
	   ) {
		$file = "{$_FILES['import_report']['tmp_name']}";
		unset($params);
		if (is_file("$file"))
		if ($fp = fopen("$file", "r")) {
			While (!feof($fp)) {
			$buffer = fgets($fp, 1024);
			if ($buffer[0] == "#" or $buffer == "" or !isset($buffer)) continue;
			$params[] = explode("=", "$buffer", 2);
			}
			fclose($fp);
		} 
		unset($FWLOG);
		foreach ($params as $param) {
			$k = trim("{$param[0]}");
			$FWLOG["$k"] = trim(trim(substr("{$param[1]}",1)), "\"'");
			if ("$k" == "data_tables_serial") {
				$FWLOG["data_tables"] = unserialize(stripslashes($FWLOG["$k"]));
				unset ($FWLOG["data_tables_serial"]);
			}
		}
		unset($params);
		$FWLOG["report"] = "{$_FILES['import_report']['name']}";
		$imported = 'yes';
		require 'include/orders.php';
		include "include/edit_report.php";
		return;
	} else {
		$status = "\t<span class=\"err_msg\">SPECIFIED FILE NOT VALID<br>\n";
		$status = $status . "\t{$_FILES['import_report']['name']}</span>\n";
	}
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Webfwlog - Import Report</title>
  <LINK REL=StyleSheet HREF="style.css" TYPE="text/css" MEDIA=screen>
</head>

<body>
	<h1 class="align_center"><?php print "{$config["title"]}"; ?></h1>

<form action="<?php print "$self"; ?>" method="POST" enctype="multipart/form-data">

<?php
	foreach ($FWLOG as $a => $b) {
			if (!("$a" == "page" or "$a" == "data_tables"))
			print "<input type='hidden' name=\"".htmlspecialchars("$a", ENT_QUOTES).
			"\" value=\"".htmlspecialchars("$b", ENT_QUOTES)."\">\n";
	}
?>
<input type='hidden' name='page' value='import'>

<div class="align_center">
<table class="align_table">
  <caption>
     IMPORT REPORT DEFINITION<br><br>
 	 <?php if (isset($status)) print "$status"; ?>
  </caption>
    <tr>
      <td class="display_border align_left">Filename:</td>
      <td class="display_border align_left">
		<input
			type="file"
			name="import_report"
			accept="text/plain"
		>
      </td>
    </tr>
    <tr>
		<td colspan="2" class="display_border align_left bottom_submit">
			<input class="submit" type="submit" name="action" value="Import">&nbsp;&nbsp;
			<input class="submit" type="submit" name="import" value="Cancel">
		</td>
	</tr>
</table>
</div>

</form>

</body>
</html>

<!-- vim:set ts=4: -->
